Open SCAP Library: sce_check_result Struct Reference

Open SCAP Library

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
sce_check_result Struct Reference

## Public Member Functions
struct sce_check_result * | sce_check_result_new (void)
void | sce_check_result_free (struct sce_check_result *v)
void | sce_check_result_set_href (struct sce_check_result *v, const char *href)
| Sets the href used to execute the check that yielded given check result.
const char * | sce_check_result_get_href (struct sce_check_result *v)
void | sce_check_result_set_basename (struct sce_check_result *v, const char *basename)
| Sets basename of the script that was used for check evaluation.
const char * | sce_check_result_get_basename (struct sce_check_result *v)
void | sce_check_result_set_stdout (struct sce_check_result *v, const char *details)
| Sets stdout that was captured while script was evaluating. More...
const char * | sce_check_result_get_stdout (struct sce_check_result *v)
void | sce_check_result_set_exit_code (struct sce_check_result *v, int exit_code)
| Sets exit code with which the script ended execution after evaluation.
int | sce_check_result_get_exit_code (struct sce_check_result *v)
void | sce_check_result_reset_environment_variables (struct sce_check_result *v)
| Clears the list of passed environment variables.
void | sce_check_result_add_environment_variable (struct sce_check_result *v, const char *var)
| Adds an environment variable entry to list of environment variables that were passed to the script. More...
void | sce_check_result_set_xccdf_result (struct sce_check_result *v, xccdf_test_result_type_t result)
| Sets the final xccdf result (after exit code to xccdf mapping takes place)
xccdf_test_result_type_t | sce_check_result_get_xccdf_result (struct sce_check_result *v)
void | sce_check_result_export (struct sce_check_result *v, const char *target_file)
| Exports details (in XML form) of given check result to given file.

## Data Fields
char * | href
char * | basename
char * | std_out
int | exit_code
struct oscap_stringlist * | environment_variables
xccdf_test_result_type_t | xccdf_result

## Member Function Documentation

void sce_check_result_add_environment_variable | ( | struct sce_check_result * | v,
|  | const char * | var
| ) |  |

Adds an environment variable entry to list of environment variables that were passed to the script.

These include XCCDF result codes, bound XCCDF variables and possibly more.

sce_check_result contains these mostly for debugging purposes.

Parameters

  var | entry that will be added, in "VARIABLE_NAME=VARIABLE_VALUE" form

void sce_check_result_set_stdout | ( | struct sce_check_result * | v,
|  | const char * | details
| ) |  |

Sets stdout that was captured while script was evaluating.

Parameters

  stdout | should contain output from both stdout and stderr (interleaved)

The documentation for this struct was generated from the following files:

- sce_engine.c
- sce_engine_api.h